Skip to main content

HTTP API reference › Gala Launchpad › webhooks

Gala Launchpad — webhooks

3 operations in this group.

POST /v1/dev/webhooks/messages​

DevWebhooksController_simulateMessageWebhook

[DEV ONLY] Simulate message webhook

Send a simulated message webhook event for testing - development mode only

Responses​

201 — Message webhook simulated and processed successfully​

Content type: application/json

Schema: SimulatedMessageResponseDto

FieldTypeRequiredDescription
dataSimulatedMessageDataDtoyes
errorbooleanyes
messagestringyes
statusnumberyes

400 — Bad request - webhook payload is invalid​

Content type: application/json

Schema: ApiErrorEnvelope

FieldTypeRequiredDescription
errorboolean enum: trueyes
messageoneOf: string | array<string>yes
statusintegeryesHTTP status code.
messagestringyes
statusCodeintegeryesHTTP status code.

500 — Internal server error - failed to process webhook​

Content type: application/json

Schema: ApiErrorEnvelope

FieldTypeRequiredDescription
errorboolean enum: trueyes
messageoneOf: string | array<string>yes
statusintegeryesHTTP status code.
messagestringyes
statusCodeintegeryesHTTP status code.

default — Shared error envelope returned by the application exception filter.​

Content type: application/json

Schema: ApiErrorEnvelope

FieldTypeRequiredDescription
errorboolean enum: trueyes
messageoneOf: string | array<string>yes
statusintegeryesHTTP status code.
messagestringyes
statusCodeintegeryesHTTP status code.

Example response​

[]

POST /v1/dev/webhooks/simulate​

DevWebhooksController_simulateWebhook

[DEV ONLY] Simulate webhook event

Send a simulated webhook event for testing - development mode only

Responses​

201 — Webhook simulated and processed successfully​

Content type: application/json

Schema: SimulatedWebhookResponseDto

FieldTypeRequiredDescription
dataSimulatedStreamStatusDataDtoyes
errorbooleanyes
messagestringyes
statusnumberyes

400 — Bad request - webhook payload is invalid​

Content type: application/json

Schema: ApiErrorEnvelope

FieldTypeRequiredDescription
errorboolean enum: trueyes
messageoneOf: string | array<string>yes
statusintegeryesHTTP status code.
messagestringyes
statusCodeintegeryesHTTP status code.

500 — Internal server error - failed to process webhook​

Content type: application/json

Schema: ApiErrorEnvelope

FieldTypeRequiredDescription
errorboolean enum: trueyes
messageoneOf: string | array<string>yes
statusintegeryesHTTP status code.
messagestringyes
statusCodeintegeryesHTTP status code.

default — Shared error envelope returned by the application exception filter.​

Content type: application/json

Schema: ApiErrorEnvelope

FieldTypeRequiredDescription
errorboolean enum: trueyes
messageoneOf: string | array<string>yes
statusintegeryesHTTP status code.
messagestringyes
statusCodeintegeryesHTTP status code.

Example response​

[]

POST /v1/webhooks/mux​

WebhooksController_handleMuxWebhook

Mux webhook handler

Receive and process Mux video streaming webhook events

Authentication: muxSignature

Request body​

Required: yes

application/json​

Schema: MuxWebhookPayloadDto

FieldTypeRequiredDescription
dataobjectyes
idstringyes
typestringyes

Responses​

201 — Webhook received and processed successfully​

Content type: application/json

Schema: MuxWebhookAcceptedResponseDto

FieldTypeRequiredDescription
dataobjectyes
errorbooleanyes
messagestringyes
statusnumberyes

400 — Bad request - webhook payload is invalid or malformed​

Content type: application/json

Schema: ApiErrorEnvelope

FieldTypeRequiredDescription
errorboolean enum: trueyes
messageoneOf: string | array<string>yes
statusintegeryesHTTP status code.
messagestringyes
statusCodeintegeryesHTTP status code.

401 — Unauthorized - invalid or missing Mux webhook signature​

Content type: application/json

Schema: ApiErrorEnvelope

FieldTypeRequiredDescription
errorboolean enum: trueyes
messageoneOf: string | array<string>yes
statusintegeryesHTTP status code.
messagestringyes
statusCodeintegeryesHTTP status code.

500 — Internal server error - failed to process webhook​

Content type: application/json

Schema: ApiErrorEnvelope

FieldTypeRequiredDescription
errorboolean enum: trueyes
messageoneOf: string | array<string>yes
statusintegeryesHTTP status code.
messagestringyes
statusCodeintegeryesHTTP status code.

default — Shared error envelope returned by the application exception filter.​

Content type: application/json

Schema: ApiErrorEnvelope

FieldTypeRequiredDescription
errorboolean enum: trueyes
messageoneOf: string | array<string>yes
statusintegeryesHTTP status code.
messagestringyes
statusCodeintegeryesHTTP status code.

Example request​

[]

Example response​

[]

Previous group: content-flags · Next group: Events